import { type Writable } from "svelte/store";
export interface DayNumber {
    day: number | null;
    key: string;
}
export interface CalendarData {
    year: number;
    month: number;
    day: number;
    dayNumbers: DayNumber[];
}
export interface CalendarContext {
    direction: Writable<string>;
    duration: Writable<number>;
    flyOutProp: FlyProp;
    flyInProp: FlyProp;
    flyStart: (event: CustomEvent) => void;
    flyOutroEnd: (event: CustomEvent) => void;
    flyIntroEnd: (event: CustomEvent) => void;
    setFlyEndAction: (action: () => void) => void;
}
interface FlyProp {
    x: number;
    y: number;
    duration: number;
}
export declare function getCalendarData(targetDate: Date | string): CalendarData;
export declare function createContext(calendarElem: HTMLDivElement): CalendarContext;
export {};
