import { type FloorData } from "./types.js";
export declare function getFloorRecordCount(): Promise<number>;
export declare function getAncestorFloorId(floorId: string): Promise<string | null>;
export declare function getAncestorFloorIds(floorId: string): Promise<string[]>;
export declare function loadFloor(floorId: string): Promise<FloorData | undefined>;
/**
 * 주어진 floorId에 대한 모든 조상 Floor의 데이터를 로드한다.
 *
 * @param floorId - 조상을 찾을 Floor의 ID
 * @returns 조상 Floor들의 데이터 배열. 가장 가까운 조상부터 순서대로 삽입된다.
 */
export declare function loadAncestorFloors(floorId: string): Promise<FloorData[]>;
export declare function loadDescendentFloors(ancestorFloorId: string): Promise<FloorData[]>;
export declare function saveFloor(floor: FloorData, overwrite?: boolean): Promise<IDBValidKey>;
export declare function resetFloor(floorId: string): Promise<FloorData | null>;
export declare function removeFloor(floorId: string): Promise<void>;
export declare function swapFloorData(floorId_0: string, floorId_1: string, splitterInfo: {
    props: {
        component_0: any;
        component_1: any;
    };
}): Promise<void>;
export declare function updateMenuItemsInProps(obj: any, floorMenuItems: any[]): any;
export declare function updateFloorChildComponentProps(floorId: string, props: Record<string, any>): Promise<void>;
export declare function updateTabFloors(ancestorFloorId: string, tabIndexUpdateInfo: Record<string, any>): Promise<void>;
